Loading...
Searching...
No Matches
matrix.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/interpf.h>`
`#include <grass/gmath.h>`
Include dependency graph for matrix.c:

Go to the source code of this file.

## Functions

int | IL_matrix_create (struct interp_params *params, struct triple *points, int n_points, double **matrix, int *indx)
int | IL_matrix_create_alloc (struct interp_params *params, struct triple *points, int n_points, double **matrix, int *indx, double *A)
| Creates system of linear equations from interpolated points.

## Function Documentation

## IL_matrix_create()

int IL_matrix_create | ( | struct interp_params * | params,
|  | struct triple * | points,
|  | int | n_points,
|  | double ** | matrix,
|  | int * | indx )

Author
  Lubos Mitas (original program and various modifications)
  H. Mitasova, I. Kosinovsky, D. Gerdes, D. McCauley (GRASS4.1 version of the program and GRASS4.2 modifications)
  L. Mitas, H. Mitasova, I. Kosinovsky, D.Gerdes, D. McCauley (1993, 1995)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995, Nov. 1996

Copyright
  (C) 1993-1996 by Lubos Mitas and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition at line 37 of file matrix.c.

References G_alloc_vector(), IL_matrix_create_alloc(), interp_params::KMAX2, and NULL.

## IL_matrix_create_alloc()

int IL_matrix_create_alloc | ( | struct interp_params * | params,
|  | struct triple * | points,
|  | int | n_points,
|  | double ** | matrix,
|  | int * | indx,
|  | double * | A )

Creates system of linear equations from interpolated points.

Creates system of linear equations represented by matrix using given points and interpolating function interp()

Parameters

  | params | struct interp_params *
  | points | points for interpolation as struct triple
  | n_points | number of points
  [out] | matrix | the matrix
  | indx |

Returns
  -1 on failure, 1 on success

Definition at line 69 of file matrix.c.

References amax1(), interp_params::fi, G_debug(), G_ludcmp(), interp_params::interp, l, r, interp_params::rsm, interp_params::scalex, triple::sm, interp_params::theta, triple::x, x, and triple::y.

Referenced by IL_interp_segments_2d_parallel(), and IL_matrix_create().